GIT-QFINISH(1)

NAME
git-qfinish - move applied patches into repository history

SYNOPSIS
git qfinish <patch> ... [<patch-range> [<patch>]] ...
git qfinish <patch-range> ... [<patch> [<patch-range>]] ...
git qfinish --applied

DESCRIPTION
The git qfinish command finishes a specified applied patch, or a specified sequence of applied patches, releases it from Git-MQ control, and moves it into committed repository history.

If the --applied option is specified, the sequence of patches to be released is considered to represent the entire sequence of all applied patches; otherwise, at least one <patch>, or <patch-range> argument must be specified, and the aggregate of all such arguments must represent a contiguous sequence of applied patches, starting at the base of the applied patch stack.

Finished patches are removed from the Git-MQ series, and the corresponding patch files are deleted from the Git-MQ patch directory.

OPTIONS

-a, --applied
    Select all currently applied patches, and move them into committed repository history.

EXIT STATUS
On successful completion, git qfinish reports an exit status code of 0. Any non-zero exit status code indicates that an error occurred.

COMPARISON WITH MERCURIAL QUEUES
Inspired by, and for the most part based on behavioural observation of Mercurial's MQ extension, the git qfinish command exhibits fundamentally the same behaviour as its hg qfinish counterpart.

AUTHOR
Copyright (C) 2019, by Keith Marshall

This man page was written by Keith Marshall <keith@users.osdn.me>, to accompany the Git-MQ program suite. It is published under the terms of the GNU Free Documentation Licence, version 1.3, (or any later version published by the Free Software Foundation), with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts.

The Git-MQ program suite itself is distibruted under the terms of the GNU General Public Licence, version 3, (or any later version published by the Free Software Foundation).

Copies of the GNU Free Documentation Licence, and of the GNU General Public Licence, are included within the Git-MQ source distribution, in the files FDL-1.3, and LICENCE, respectively.

SEE ALSO
git-qapplied(1), git-qseries(1)